//Author: Yu Minghao    Updated: May 2020 

static char help[] = "topology optimization of linear elasticity problem\n";
#include "fvCFD.H"
#include "dynamicFvMesh.H"
#include "simpleControl.H"
#include <diff.c>
int main(int argc, char *argv[])
{
    #include "setRootCase.H"
    #include "createTime.H"
    //#include "createMesh.H"
    #include "createDynamicFvMesh.H" 
    #include "createControl.H"
    #include "createFields.H"
    #include "readMechanicalProperties.H" 
    #include "opt_initialization.H"
    while (simple.loop(runTime))
    {
        #include "update.H"
        #include "LinearElasticity.H"
        #include "costfunction.H"              
        #include "sensitivity.H"
    }
    #include "finalize.H"
    return 0;
}
